PSortedListElement Struct Reference

`#include <lists.h>`

## Public Types

enum | { Red, Black }

## Public Member Functions

| PDECLARE_POOL_ALLOCATOR ()

## Public Attributes

PSortedListElement * | parent
PSortedListElement * | left
PSortedListElement * | right
PObject * | data
PINDEX | subTreeSize
enum PSortedListElement:: { ... } | colour

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
Red |
Black |

## Member Function Documentation

## PDECLARE_POOL_ALLOCATOR()

PSortedListElement::PDECLARE_POOL_ALLOCATOR | ( |  | ) |

## Member Data Documentation

## colour

enum { ... } PSortedListElement::colour

## data

PObject* PSortedListElement::data

## left

PSortedListElement* PSortedListElement::left

## parent

PSortedListElement* PSortedListElement::parent

## right

PSortedListElement* PSortedListElement::right

## subTreeSize

PINDEX PSortedListElement::subTreeSize

The documentation for this struct was generated from the following file:

- lists.h